RepositoriesConfigurer (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.config

## [Groovy] Class RepositoriesConfigurer

- org.codehaus.groovy.grails.resolve.config.RepositoriesConfigurer

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDependencyManagementConfigurer` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RepositoriesConfigurer (DependencyConfigurationContext context)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `ebr()`
    `void` | `flatDir(java.util.Map args)`
    `void` | `grailsCentral()`
    `void` | `grailsHome()`
    `void` | `grailsPlugins()`
    `void` | `grailsRepo(java.lang.String url, java.lang.String name = null)` Defines a repository that uses Grails plugin repository format.
    `void` | `inherit(boolean b)`
    `void` | `inherits(boolean b)`
    `void` | `jcenter()`
    `void` | `mavenCentral()`
    `void` | `mavenLocal(java.lang.String repoPath = null)`
    `void` | `mavenRepo(java.lang.String url)`
    `void` | `mavenRepo(java.util.Map args)`
    `void` | `resolver(org.apache.ivy.plugins.resolver.DependencyResolver resolver)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDependencyManagementConfigurer` | `getContext, getDependencyManager, getGrailsCoreDependencies`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### RepositoriesConfigurer(DependencyConfigurationContext context)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic void ebr()

    - #### @groovy.transform.CompileStatic void flatDir(java.util.Map args)

    - #### @groovy.transform.CompileStatic void grailsCentral()

    - #### @groovy.transform.CompileStatic void grailsHome()

    - #### @groovy.transform.CompileStatic void grailsPlugins()

    - #### @groovy.transform.CompileStatic void grailsRepo(java.lang.String url, java.lang.String name = null)

      Defines a repository that uses Grails plugin repository format. Grails repositories are SVN repositories that follow a particular convention that is not Maven compatible. Ivy is flexible enough to allow the configuration of a resolver that resolves artifacts against non-Maven repositories

    - #### @groovy.transform.CompileStatic void inherit(boolean b)

    - #### @groovy.transform.CompileStatic void inherits(boolean b)

    - #### @groovy.transform.CompileStatic void jcenter()

    - #### @groovy.transform.CompileStatic void mavenCentral()

    - #### @groovy.transform.CompileStatic void mavenLocal(java.lang.String repoPath = null)

    - #### @groovy.transform.CompileStatic void mavenRepo(java.lang.String url)

    - #### @groovy.transform.CompileStatic void mavenRepo(java.util.Map args)

    - #### @groovy.transform.CompileStatic void resolver(org.apache.ivy.plugins.resolver.DependencyResolver resolver)